#!/usr/bin/env python3
"""Main entry-point module. This script is used to start the program."""

from __future__ import annotations

import tcod.console
import tcod.context
import tcod.tileset
import game.tilesetmanager
import g

import game.screens
from game.screens.menu_screens import MainMenu

def main() -> None:
    """Entry point function."""
    tileset = game.tilesetmanager.valid_tileset()

    #tcod.tileset.procedural_block_elements(tileset=tileset)
    g.screens = [MainMenu()]

    g.console = tcod.console.Console(80, 35)
    with tcod.context.new(console=g.console, tileset=tileset) as g.context:
        game.screens.main_loop()


if __name__ == "__main__":
    main()
